Bug 967017 - Some V2 cartridge action hook filenames aren't consistent with V1
Some V2 cartridge action hook filenames aren't consistent with V1
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 10:14 EDT by Dan Mace
Modified: 2015-05-14 19:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:11:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Mace 2013-05-24 10:14:11 EDT
Description of problem:

Two V2 cartridge action hook names aren't consistent with V1:

* pre-build should be pre_build
* post-deploy should be post_deploy

In addition, the 'post-install' bin script should be 'post_install' to be consistent with other scripts in the cartridge spec.

Version-Release number of selected component (if applicable):


How reproducible:

N/A

Steps to Reproduce:

N/A

Actual results:

N/A

Expected results:

N/A

Additional info:
Comment 2 openshift-github-bot 2013-05-24 12:56:22 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/c9a6ffbdf36b368593e8b8beb55fe73b12b12d95
Bug 967017: Use underscores for v2 cart script names
Comment 3 chunchen 2013-05-27 06:48:52 EDT
It's fixed, verified on devenv_3277,please refer to the following results:

1. Create app
rhc app create cruby80 ruby-1.8
2. Create pre_build and post_deploy
cd cruby80
echo 'echo "I am in pre_build ==================YEAH!!!!!"' > .openshift/action_hooks/pre_build
echo 'echo "I am in post_deploy ==============================OKKO!!!!!!!"' > .openshift/action_hooks/post_deploy
3. git push
git add .;git commit -amp; git push

[master 8e3c0ff] p
 2 files changed, 0 insertions(+), 0 deletions(-)
 mode change 100644 => 100755 .openshift/action_hooks/post_deploy
 mode change 100644 => 100755 .openshift/action_hooks/pre_build
Counting objects: 13, done.
Compressing objects: 100% (10/10), done.
Writing objects: 100% (10/10), 1016 bytes, done.
Total 10 (delta 2), reused 0 (delta 0)
remote: Stopping Ruby cart
remote: httpd (no pid file) not running
remote: I am in pre_build ==================YEAH!!!!!
remote: Running build on Ruby cart
remote: Starting Ruby cart
remote: I am in post_deploy ==============================OKKO!!!!!!!
To ssh://948511341651594496180224@cruby80-cdm.dev.rhcloud.com/~/git/cruby80.git/
   3247a57..8e3c0ff  master -> master
[root@F18-CCY action_hooks]# pwd
/root/test/cruby80/.openshift/action_hooks

Note You need to log in before you can comment on or make changes to this bug.